Package org.drinkless.tdlib

# Class TdApi.TargetChatChosen

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TargetChat
org.drinkless.tdlib.TdApi.TargetChatChosen

Enclosing class:
  TdApi

public static class TdApi.TargetChatChosen extends TdApi.TargetChat
The chat needs to be chosen by the user among chats of the specified types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TargetChat

  `TdApi.TargetChat.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowBotChats`
  True, if private chats with other bots are allowed.
  `boolean`
  `allowChannelChats`
  True, if channel chats are allowed.
  `boolean`
  `allowGroupChats`
  True, if basic group and supergroup chats are allowed.
  `boolean`
  `allowUserChats`
  True, if private chats with ordinary users are allowed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TargetChatChosen()`
  The chat needs to be chosen by the user among chats of the specified types.
  `TargetChatChosen(boolean allowUserChats, boolean allowBotChats, boolean allowGroupChats, boolean allowChannelChats)`
  The chat needs to be chosen by the user among chats of the specified types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### allowUserChats

    public boolean allowUserChats
    True, if private chats with ordinary users are allowed.

  - ### allowBotChats

    public boolean allowBotChats
    True, if private chats with other bots are allowed.

  - ### allowGroupChats

    public boolean allowGroupChats
    True, if basic group and supergroup chats are allowed.

  - ### allowChannelChats

    public boolean allowChannelChats
    True, if channel chats are allowed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TargetChatChosen

    public TargetChatChosen()
    The chat needs to be chosen by the user among chats of the specified types.

  - ### TargetChatChosen

    public TargetChatChosen(boolean allowUserChats, boolean allowBotChats, boolean allowGroupChats, boolean allowChannelChats)
    The chat needs to be chosen by the user among chats of the specified types.
    Parameters:
      `allowUserChats` - True, if private chats with ordinary users are allowed.
      `allowBotChats` - True, if private chats with other bots are allowed.
      `allowGroupChats` - True, if basic group and supergroup chats are allowed.
      `allowChannelChats` - True, if channel chats are allowed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TargetChat`
    Returns:
      this.CONSTRUCTOR